Bug Hunting Session
Bug 126485 - Tabs and indents in numbering and item list were limited to less than 20 pt
Summary: Tabs and indents in numbering and item list were limited to less than 20 pt
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.4.0 target:6.3.1 target:6.2.7
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2019-07-20 06:34 UTC by Franklin Weng
Modified: 2019-07-29 17:06 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot, these two fields were limited no greater than 19.99 pt. (281.97 KB, image/png)
2019-07-20 11:00 UTC, Franklin Weng
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Franklin Weng 2019-07-20 06:34:03 UTC
Description:
Since 6.2.0.0 alpha1, when inserting a number list (either manually or setting styles), the position of tabs and indent in every layer were limited to less than 20 pt.  6.1.6.5 didn't.

Steps to Reproduce:
1. Open Writer in 6.2.0.0alpha1+
2. Click numbering to show a number list
3. Open the dialog of setting the properties and go to Position tabs
4. The number of tabs and indent can not be set to more than 19.99 pt (in Windows 19.98 pt)


Actual Results:
We can decrease the number of tabs and indent position, but can not increase to more than 19.99 pt

Expected Results:
We should be able to set up the position we want.


Reproducible: Always


User Profile Reset: No



Additional Info:
The version I tested:

版本:6.2.0.0.alpha1 (x64)
組建 ID:ff46ad24d1d3cbcea45895520483ed1fd4ff488b
CPU 執行緒:4; OS:Windows 10.0; UI 算繪:GL; VCL: win; 
語言地區:zh-TW (zh_TW); Calc: threaded

It happens also to Linux version.
Comment 1 Franklin Weng 2019-07-20 11:00:11 UTC
Created attachment 152885 [details]
Screenshot, these two fields were limited no greater than 19.99 pt.

Version of this screenshot:

版本:6.2.4.2
組建 ID:2412653d852ce75f65fbfa83fb7e7b669a126d64
CPU 執行緒:4; OS:Linux 4.19; UI 算繪:預設; VCL: kde4; 
語言地區:zh-TW (zh_TW.UTF-8); UI語言:zh-TW
Calc: threaded
Comment 2 Regina Henschel 2019-07-20 13:52:51 UTC
I can confirm this for Version: 6.4.0.0.alpha0+ (x64)
Build ID: dc5229f80afb3a436ffed221c565b68f4e4ae668
CPU threads: 8; OS: Windows 10.0; UI render: default; VCL: win; 
Locale: de-DE (en_US); UI-Language: en-US
Calc: CL

The value, that you can enter, is limited to 20, regardless of the unit.
Comment 3 Regina Henschel 2019-07-20 15:38:39 UTC
I see it OK in Version: 6.2.0.0.alpha1+ (x64)
Build ID: bf4fc97131147d25b18d088023262c977f0b2787
CPU threads: 8; OS: Windows 10.0; UI render: default; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-11-10_01:58:33
Locale: de-DE (en_US); UI-Language: en-US
Calc: CL

and broken in Version: 6.2.0.1 (x64)
Build ID: 0412ee99e862f384c1106d0841a950c4cfaa9df1
CPU threads: 8; OS: Windows 10.0; UI render: default; VCL: win; 
Locale: en-US (en_US); UI-Language: en-US
Calc: threaded
Comment 4 raal 2019-07-29 05:07:04 UTC
This seems to have begun at the below commit.
Adding Cc: to Caolán McNamara; Could you possibly take a look at this one? Thanks

09e2200244afd70baba52568eab602540b6f901b is the first bad commit
commit 09e2200244afd70baba52568eab602540b6f901b
Author: Norbert Thiebaud <nthiebaud@gmail.com>
Date:   Mon Oct 8 10:10:21 2018 -0700

    source sha:ea7b290a691f33caa3327bd1cb57b97a92c94dc7

author	Caolán McNamara <caolanm@redhat.com>	2018-10-02 12:15:24 +0100
committer	Caolán McNamara <caolanm@redhat.com>	2018-10-03 09:50:45 +0200
commit	ea7b290a691f33caa3327bd1cb57b97a92c94dc7 (patch)
tree	8c8ebddc42674caac4b9cdef431306cccc0618d8
parent	2b402bbd34624c4759fa411c98bb60da1dd11e76 (diff)
weld SwSvxNumBulletTabDialog
Comment 5 Commit Notification 2019-07-29 10:34:42 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/f1928f6ce9fb27b924d91ee5c5c52ec560fee2b6%5E%21

Resolves: tdf#126485 remove max limit

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Caolán McNamara 2019-07-29 10:35:29 UTC
fixed in master, backport to 6-3 and 6-2 in gerrit
Comment 7 Commit Notification 2019-07-29 13:05:41 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/+/dab4751bdb8842c8621682d4a9ffd274d4e88ec1%5E%21

Resolves: tdf#126485 remove max limit

It will be available in 6.3.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2019-07-29 17:06:34 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/2faedd9849de26fea1f8ba7e98314d6ec479d63e%5E%21

Resolves: tdf#126485 remove max limit

It will be available in 6.2.7.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.